Bug 893874 - Project stats show untranslated status for messages that contain a translation
Project stats show untranslated status for messages that contain a translation
Status: CLOSED WORKSFORME
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Damian Jansen
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-10 00:21 EST by Hedda Peters
Modified: 2014-08-28 01:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-28 01:08:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Filtered for untranslated messages - 2 messages containing translations (123.65 KB, image/png)
2013-01-10 00:27 EST, Hedda Peters
no flags Details
Translation history for troublesome message (100.13 KB, image/png)
2013-01-10 00:44 EST, Hedda Peters
no flags Details

  None (edit)
Description Hedda Peters 2013-01-10 00:21:37 EST
URL: 
https://translate.zanata.org/zanata/webtrans/translate?project=subscription-manager&iteration=1.1.X&localeId=pa&locale=de#view:doc;doc:keys 

Description of problem:
All project stats show 99% and 2 untranslated messages for this language. When looking up these supposedly untranslated messages (e.g. by using the filter, or by using Alt-PageDown) these messages do in fact contain a translation though. Looking at the translation history, there is no user associated with these messages so I guess they have been pushed from client. (But then, so have other messages that appear fine)

Version-Release number of selected component (if applicable):
version 2.0.2 (20121030-2357)

How reproducible:
?

Actual results:
99% translated according to stats (2 untranslated messages).

Expected results:
100% translated according to stats.

Additional info:
Unfortunately I will have to (try to) fix this issue by saving the messages again and get the project to 100%. So it might not show the same as my screenshots anymore when you have a look at the URL
Comment 1 Hedda Peters 2013-01-10 00:27:02 EST
Created attachment 676052 [details]
Filtered for untranslated messages - 2 messages containing translations
Comment 2 Hedda Peters 2013-01-10 00:44:21 EST
Created attachment 676074 [details]
Translation history for troublesome message
Comment 3 Damian Jansen 2014-03-04 21:21:05 EST
Stats have gone through quite an overhaul - will test this.
Comment 4 Ding-Yi Chen 2014-07-17 02:42:43 EDT
Set severity to medium, as it does not involve data corruption.
Comment 5 Damian Jansen 2014-08-28 01:08:03 EDT
I'm closing this, as the stats parts have been overhauled and I can't find any instances of the error.

Note You need to log in before you can comment on or make changes to this bug.